## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           deepin-screensaver
Version:        5.0.19
Release:        %autorelease
Summary:        Screensaver Tool
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-screensaver
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  cmake(DWayland)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  opencv-devel
BuildRequires:  deepin-desktop-base

BuildRequires:  desktop-file-utils

Requires:       xscreensaver-extras
Requires:       xscreensaver-gl-extras

%description
Deepin screensaver viewer and tools.

%prep
%autosetup -p1

sed -i 's|lrelease|lrelease-qt5|' \
    customscreensaver/deepin-custom-screensaver/generate_translations.sh \
    src/generate_translations.sh

sed -i 's|lupdate|lupdate-qt5|' src/update_translations.sh

sed -i 's|/etc/os-version|/etc/uos-version|' common.pri

sed -i 's|/etc/deepin-screensaver/$${TARGET}/|/usr/share/applications|' \
    customscreensaver/deepin-custom-screensaver/deepin-custom-screensaver.pro

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
%find_lang deepin-custom-screensaver --with-qt
%find_lang deepin-screensaver --with-qt
rm %{buildroot}%{_datadir}/deepin-custom-screensaver/translations/deepin-custom-screensaver.qm
rm %{buildroot}%{_datadir}/deepin-screensaver/translations/deepin-screensaver.qm

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f deepin-screensaver.lang -f deepin-custom-screensaver.lang
%doc README.md
%license LICENSE.txt
%{_bindir}/deepin-screensaver
%{_datadir}/dbus-1/interfaces/com.deepin.ScreenSaver.xml
%{_datadir}/dbus-1/services/com.deepin.ScreenSaver.service
%{_datadir}/applications/deepin-custom-screensaver.desktop
%{_datadir}/dsg/configs/org.deepin.screensaver/
%{_prefix}/lib/deepin-screensaver/

%changelog
## START: Generated by rpmautospec
* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 5.0.19-2
- remove improperly introduced rpm file

* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 5.0.19-1
- 5.0.19

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 5.0.5-10
- convert GPLv3+ license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.0.5-6
- Don't move data to libexecdir

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.0.5-1
- New release 5.0.5

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.4-1
- Update to 5.0.4

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 0.0.10-1
- Release 0.0.10

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 28 2019 Robin Lee <cheeselee@fedoraproject.org> - 0.0.7-1
- Initial packaging

## END: Generated by rpmautospec
